# $Revision: 1.10.2.1 $, $Date: 2003/03/13 00:58:34 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Proc
%define		pnam	ProcessTable
Summary:	Proc::ProcessTable - Perl interface to the unix process table
Summary(pl):	Proc::ProcessTable - perlowy interfejs do uniksowej tabeli procesw
Name:		perl-Proc-ProcessTable
Version:	0.38
Release:	1
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	perl-Storable
BuildRequires:	perl-modules
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is a first crack at providing a consistent interface to
Unix (and maybe other multitasking OS's) process table information.
The impetus for this came about with my frustration at having to parse
the output of various systems' ps commands to check whether specific
processes were running on different boxes at a larged mixed Unix site.
The output format of ps was different on each OS, and sometimes
changed with each new release of an OS. Also, running a ps subprocess
from within a perl or shell script and parsing the output was not a
very efficient or aesthetic way to do things.

%description -l pl
Ten modu to pierwsza prba udostpnienia spjnego interfejsu do
informacji dotyczcych uniksowej (i moe z innych wielozadaniowych
systemw operacyjnych) tabeli procesw. Impuls do stworzenia tego
pojawi si wraz z frustracj autora przy analizie wyjcia polece ps
z rnych systemw w celu sprawdzenia, czy okrelone procesy dziaaj
na rnych maszynach w duym zestawie rnych uniksw. Format wyjcia
ps by rny na kadym systemie, a czasem zmienia si wraz z now
wersj systemu. Poza tym uruchamianie procesu ps z Perla lub skryptu
powoki i analiza jego wyjcia nie byy zbyt wydajnym ani estetycznym
sposobem.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a example.pl $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README README.linux PORTING Changes TODO
%dir %{perl_sitearch}/Proc
%{perl_sitearch}/Proc/*.pm
%{perl_sitearch}/Proc/ProcessTable
%dir %{perl_sitearch}/auto/Proc
%dir %{perl_sitearch}/auto/Proc/ProcessTable
%attr(755,root,root) %{perl_sitearch}/auto/Proc/ProcessTable/*.so
%{perl_sitearch}/auto/Proc/ProcessTable/*.bs
%{perl_sitearch}/auto/Proc/ProcessTable/Process
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.pl
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Proc-ProcessTable.spec,v $
Revision 1.10.2.1  2003/03/13 00:58:34  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.10  2003/02/25 00:41:04  radek
- use the __perl macro

Revision 1.9  2003/02/18 15:37:49  ankry
- massive attack: change CPAN URLs

Revision 1.8  2003/01/15 18:27:57  mis
- autoupdated to 0.38

Revision 1.7  2002/11/20 12:26:45  mis
- autoupdated to 0.37

Revision 1.6  2002/11/08 17:37:22  radek
- version 0.36

Revision 1.5  2002/09/16 08:27:26  ankry
- added missing dirs
- fix examples permitions
- release 2

Revision 1.4  2002/09/02 16:34:09  marcus
- fixed BR

Revision 1.3  2002/08/31 20:19:09  radek
- fixed permissions

Revision 1.2  2002/08/31 15:58:52  qboosh
- pl description

Revision 1.1  2002/08/31 09:51:39  radek
- new, STBR
